SXACL-USERLIST(1)

NAME
sxacl-userlist - list all users in a cluster

SYNOPSIS
sxacl userlist [OPTIONS] sx://[profile@]cluster

DESCRIPTION
sxacl userlist lists all users (and their types) in a Skylable SX cluster. Only cluster administrators can list users.

OPTIONS

-v, --verbose
    Print additional details about the users, such as their roles and quota settings.

-H, --human-readable
    Convert all sizes (eg. quota limits) to an easily readable format.

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To list all users in the cluster run:
sxacl userlist sx://admin@cluster

SEE ALSO
sxacl-useradd(1), sxacl-usermod(1), sxacl-userdel(1), sxacl-usergetkey(1), sxacl-usernewkey(1)